Autor Zpráva
Janina
Profil
Ahoj, mam přenesen PhpMyAdmin na server a při pokusu ho pustit mi to hází parse eror:

Parse error: syntax error, unexpected T_STRING, expecting T_OLD_FUNCTION or T_FUNCTION or T_VAR or '}' in /usr/home/.../...l/phpMyAdmin/libraries/Error_Handler.class.php on line 25

na 25 řádku je toto:
protected $_errors = array();


zkoušela jsem i ten středník odstranit ale nic, jsem v php lama, tak jestli víte, tak prosím poraďte
bohyn
Profil
Janina
Zkontroluj ze ten komentar pred tim je v poradku. Takhle by to melo vypadat:
class PMA_Error_Handler
{
    /**
     * holds errors to be displayed or reported later ...
     *
     * @var array of PMA_Error
     */
    protected $_errors = array();
Janina
Profil
Přesně tak je a nefunguje to.
bohyn
Profil
V tom pripade mas na serveru asi PHP verzi 4.x a PMA 3 potrebuje PHP > 5.2
tiso
Profil
Janina - na hostingu máš iba PHP 4.x.x, skús použiť phpMyAdmin < 3.0.0 alebo iný program... Lepšie by bolo presunutie webu na server s PHP 5.x.x

Vaše odpověď

Mohlo by se hodit


Prosím používejte diakritiku a interpunkci.

Ochrana proti spamu. Napište prosím číslo dvě-sta čtyřicet-sedm: